package com.ktg.iscs.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ktg.common.utils.DateUtils;
import com.ktg.iscs.domain.TestIscs;
import com.ktg.iscs.mapper.TestIscsMapper;
import com.ktg.iscs.service.ITestIscsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 测试用Service业务层处理
 *
 * @author yinjinlu
 * @date 2024-10-14
 */
@Service
public class TestIscsServiceImpl extends ServiceImpl<TestIscsMapper, TestIscs> implements ITestIscsService
{
    @Autowired
    private TestIscsMapper testIscsMapper;

    /**
     * 查询测试用
     *
     * @param id 测试用主键
     * @return 测试用
     */
    @Override
    public TestIscs selectTestIscsById(Long id)
    {
        return testIscsMapper.selectTestIscsById(id);
    }

    /**
     * 查询测试用列表
     *
     * @param testIscs 测试用
     * @return 测试用
     */
    @Override
    public List<TestIscs> selectTestIscsList(TestIscs testIscs)
    {
        return testIscsMapper.selectTestIscsList(testIscs);
    }

    /**
     * 新增测试用
     *
     * @param testIscs 测试用
     * @return 结果
     */
    @Override
    public int insertTestIscs(TestIscs testIscs)
    {
        testIscs.setCreateTime(DateUtils.getNowDate());
        return testIscsMapper.insertTestIscs(testIscs);
    }

    /**
     * 修改测试用
     *
     * @param testIscs 测试用
     * @return 结果
     */
    @Override
    public int updateTestIscs(TestIscs testIscs)
    {
        testIscs.setUpdateTime(DateUtils.getNowDate());
        return testIscsMapper.updateTestIscs(testIscs);
    }

    /**
     * 批量删除测试用
     *
     * @param ids 需要删除的测试用主键
     * @return 结果
     */
    @Override
    public int deleteTestIscsByIds(Long[] ids)
    {
        return testIscsMapper.deleteTestIscsByIds(ids);
    }

    /**
     * 删除测试用信息
     *
     * @param id 测试用主键
     * @return 结果
     */
    @Override
    public int deleteTestIscsById(Long id)
    {
        return testIscsMapper.deleteTestIscsById(id);
    }
}
